/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.board.demo.clown;

import ch.maxant.dci.util.Role;
import ch.maxant.dci.util.Self;

@Role(contextClass = ClownContext.class,
      implementationClass = Kid.KidImpl.class
)
public interface Kid {

	public void laugh(); // role method
    public void incrementHappiness(); // data method
    public String getName(); // data method


    /** role impl for the Kid role */
	static class KidImpl {

		@Self
		private Kid self;
	
		public void laugh() {
			System.out.println("hehehe says " + self.getName());
			self.incrementHappiness();
		}
	
	}
}