/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.board.demo.data;

import java.awt.Color;

import ch.maxant.board.demo.clown.Clown;

/** 
 * a data class which has many attributes, many
 * unrelevant to say the {@link Clown} role.
 */
public class Human {

    private int heightInCm;

    private int weightInGrams;

    private Color eyeColor;

    private Color hairColour;

    private String name;

    private int happiness;

    public int getHeightInCm() {
        return heightInCm;
    }

    public void setHeightInCm(int heightInCm) {
        this.heightInCm = heightInCm;
    }

    public int getWeightInGrams() {
        return weightInGrams;
    }

    public void setWeightInGrams(int weightInGrams) {
        this.weightInGrams = weightInGrams;
    }

    public Color getEyeColor() {
        return eyeColor;
    }

    public void setEyeColor(Color eyeColor) {
        this.eyeColor = eyeColor;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getHappiness() {
        return happiness;
    }

    public void incrementHappiness() {
        this.happiness++;
    }

    public void decrementHappiness() {
    	this.happiness--;
    }

	public Color getHairColour() {
		return hairColour;
	}

	public void setHairColour(Color hairColour) {
		this.hairColour = hairColour;
	}
    
}
