/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.board.demo.context;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;
import org.junit.Test;

import ch.maxant.board.demo.clown.ClownContext;
import ch.maxant.board.demo.data.Human;

/**
 * test for the {@link ClownContext}
 */
public class ClownContextTest {

    @Test
    public void testExecute() {
    	
    	//create an adult (the clown) and some children, 
    	//and let the party start...
        
    	Human adult = new Human();
        List<Human> children = new ArrayList<Human>();
        Human child = new Human();
        child.setName("Johnny");
        children.add(child);
        child = new Human();
        child.setName("Jane");
        children.add(child);

        ClownContext cc = new ClownContext(adult, children.toArray());
        cc.startParty();

        //check the party went well...
        assertEquals(0, adult.getHappiness());
        for (Human c : children) {
            assertEquals(1, c.getHappiness());
        }
    }

}
